<template>
  <main>
    <div class="mt-container-small mt-container-padding-bottom-small">
      <mt-page-title :with-border="false"></mt-page-title>
      <h1>Nous évaluer</h1>
    </div>
    <section class="mt-line-bleu columns is-centered ">
      <article class="columns">
        <div class="column is-8">
          <p>
            <b>Merci d’utiliser METIIS.</b><br />
            <b>Votre avis nous intéresse.</b>
          </p>
          <p>
            Vous pouvez prendre quelques secondes pour répondre<br />
            à ce questionnaire et nous faire part de vos remarques <br />
            et de vos suggestions.<br />
            Ces informations nous permettent de tout mettre<br />
            en œuvre pour améliorer votre expérience.
          </p>
        </div>
        <div class="column is-hidden-mobile">
          <img src="/image-evaluation.png" alt="image évaluer" />
        </div>
      </article>
    </section>
    <div class="mt-container-small mt-container-padding-bottom-small">
      <article class="columns">
        <form class="column is-8" @submit.prevent="submit">
          <b-field label="METIIS me permet de répondre à mes principaux besoins au quotidien.*">
            <b-rate v-model="evaluer.noteBesoin" icon="circle" :max="10"></b-rate>
          </b-field>
          <b-field label="METIIS est facile à utiliser.*">
            <b-rate v-model="evaluer.noteUtilisation" icon="circle" :max="10"></b-rate>
          </b-field>
          <b-field label="Avez-vous des remarques ou des suggestions à nous faire ?">
            <b-input
              v-model="evaluer.commentaire"
              type="textarea"
              placeholder="Rédigez votre message."
              class="mt-input"
              maxlength="500"
            />
          </b-field>

          <b-button class="mt-button is-size-8 has-text-weight-semibold" type="is-primary" native-type="submit">
            donner mon avis
          </b-button>

          <p>* Champ obligatoire</p>
        </form>
      </article>
      <mt-modal-ok :ouvert.sync="ouvert" button="Retour à l’accueil" @action="retourAccueil">
        Votre évaluation a bien été enregistrée.
      </mt-modal-ok>
    </div>
  </main>
</template>

<script>
import MtPageTitle from '~/components/base/page-title/index';
import newEvaluation from '~/components/mixins/evaluerMixin';
import userMixin from '~/components/mixins/userMixin';
import MtModalOk from '~/components/modal/mt-modal-ok';

export default {
  layout: 'sans-container',
  auth: false,
  components: {
    MtPageTitle,
    MtModalOk,
  },
  mixins: [userMixin],
  data() {
    return {
      ouvert: false,
      evaluer: newEvaluation(),
    };
  },
  methods: {
    submit() {
      if (!this.evaluer.noteUtilisation || !this.evaluer.noteBesoin) {
        const message = " Veuillez noter les besoins ou la facilité d'utilisation de l'application ";
        this.$buefy.toast.open({
          message,
          type: 'is-danger',
          duration: 5000,
        });
      } else {
        this.evaluer.utilisateur.id = this.utilisateur.id;
        this.$api.evaluations.post(this.evaluer);
        this.ouvert = true;
      }
    },
    retourAccueil() {
      this.$router.push({ name: 'index' });
    },
  },
};
</script>

<style scoped lang="scss">
@import '~/assets/css/_variables.scss';
.mt-line-bleu {
  --page-size: #{$mt-container-small-width};
  background-color: $pale-grey-two;
  padding: 2rem 5vw;
  margin-bottom: 2rem;

  article {
    max-width: var(--page-size);
    flex-grow: 1;
  }
}
img {
  position: absolute;
  height: 362px;
  margin-left: 2.063rem;
}

h1 {
  color: $soft-blue;
  margin-bottom: 2rem;
  font-size: 2.125rem;
  font-weight: 300;
}
p {
  text-align: justify;
  color: $grey-dark;
  font-stretch: normal;
  font-size: 0.938rem;
  line-height: 1.5;
  margin: 1rem 0;
}
.rate {
  font-size: 0.75rem;
  color: #8d8d8d;
  display: flex;
  align-items: center;
  justify-content: flex-start;
  margin: 1rem 0;

  --rate-border-column: #bcceff;

  /deep/ .rate-item {
    padding: 0 0.2em;
  }

  /deep/ {
    .rate-item.set-on .icon,
    .rate-item.set-half .is-half {
      color: $primary;
      --rate-border-column: #{$primary};
    }
  }

  /deep/ .icon {
    color: #f5f8ff;

    text-shadow: 1px 0 var(--rate-border-column), -1px 0 var(--rate-border-column), 0 1px var(--rate-border-column),
      0 -1px var(--rate-border-column);

    .mdi-24px.mdi-set,
    .mdi-24px.mdi::before {
      font-size: 1.125rem;
    }
  }
}
.rate:before {
  content: 'Pas du tout d’accord';
  padding-right: 1em;
  text-align: center;
}
.rate:after {
  content: 'Tout à fait d’accord';
  padding-left: 1em;
  text-align: center;
}

/deep/ label.label {
  color: $grey-dark;
  text-transform: none;
  font-size: 0.9375rem;
}
</style>
